<!DOCTYPE html>
<html>
   <head>
      <title>test.py - flake8 annotated source</title>
      <meta http-equiv="Content-Type" value="text/html; charset=UTF-8">
      <link rel="stylesheet" href="styles.css">
   </head>
   <body>
      <div id="masthead" class="sev-1"></div>
      <div id="page">
         <h1>
            <a href="test.report.html">
               <img src="back.svg" alt="&#x2B05;">
               test.py source
            </a>
         </h1>

         <div id="doc">
            <div id="l1"
               class="code sev-1  le">
               <ul class="violations">
               
                  <li>
                     <span class="count sev-1">
                        F401
                     </span>
                     'tinydb.TinyDB' imported but unused</li>
               
               </ul><tt><i>1</i> <span class="kn">from</span> <span class="nn">tinydb</span> <span class="kn">import</span> <span class="n">TinyDB</span></tt>
            </div>
            <div id="l2"
               class="code sev-1  le">
               <ul class="violations">
               
                  <li>
                     <span class="count sev-1">
                        F401
                     </span>
                     'datetime.datetime' imported but unused</li>
               
               </ul><tt><i>2</i> <span class="kn">from</span> <span class="nn">datetime</span> <span class="kn">import</span> <span class="n">datetime</span></tt>
            </div>
            <div id="l3"
               class="code sev-1  le">
               <ul class="violations">
               
                  <li>
                     <span class="count sev-1">
                        F401
                     </span>
                     'views.chess_db' imported but unused</li>
               
               </ul><tt><i>3</i> <span class="kn">from</span> <span class="nn">views</span> <span class="kn">import</span> <span class="n">chess_db</span><span class="p">,</span> <span class="n">table_tournois</span></tt>
            </div>
            <div id="l4"
               class="code sev- "><tt><i>4</i> &nbsp;</tt>
            </div>
            <div id="l5"
               class="code sev- "><tt><i>5</i> <span class="c1"># print(chess_db.table)</span></tt>
            </div>
            <div id="l6"
               class="code sev- "><tt><i>6</i> <span class="nb">print</span><span class="p">(</span><span class="n">table_tournois</span><span class="o">.</span><span class="n">all</span><span class="p">())</span></tt>
            </div>
            <div id="l7"
               class="code sev- "><tt><i>7</i> &nbsp;</tt>
            </div>
            <div id="l8"
               class="code sev- "><tt><i>8</i> <span class="c1"># pour faire du multiple append</span></tt>
            </div>
            <div id="l9"
               class="code sev- "><tt><i>9</i> <span class="c1"># mylist = [1,2,3]</span></tt>
            </div>
            <div id="l10"
               class="code sev- "><tt><i>10</i> &nbsp;</tt>
            </div>
            <div id="l11"
               class="code sev- "><tt><i>11</i> <span class="c1"># def multiple_appends(listname, *element):</span></tt>
            </div>
            <div id="l12"
               class="code sev- "><tt><i>12</i> <span class="c1">#     listname.extend(element)</span></tt>
            </div>
            <div id="l13"
               class="code sev- "><tt><i>13</i> &nbsp;</tt>
            </div>
            <div id="l14"
               class="code sev- "><tt><i>14</i> <span class="c1"># multiple_appends(mylist, 4, 5, &quot;string&quot;, False)</span></tt>
            </div>
            <div id="l15"
               class="code sev- "><tt><i>15</i> <span class="c1"># print(mylist)</span></tt>
            </div>
            <div id="l16"
               class="code sev- "><tt><i>16</i> &nbsp;</tt>
            </div>
            <div id="l17"
               class="code sev- "><tt><i>17</i> &nbsp;</tt>
            </div>
            <div id="l18"
               class="code sev- "><tt><i>18</i> <span class="c1"># list_vs = [[&quot;p1&quot;, &quot;p2&quot;], [&quot;p8&quot;, &quot;p4&quot;], [&quot;p3&quot;, &quot;p6&quot;], [&quot;p5&quot;, &quot;p7&quot;]]</span></tt>
            </div>
            <div id="l19"
               class="code sev- "><tt><i>19</i> &nbsp;</tt>
            </div>
            <div id="l20"
               class="code sev- "><tt><i>20</i> &nbsp;</tt>
            </div>
            <div id="l21"
               class="code sev- "><tt><i>21</i> <span class="c1"># players = {&quot;p1&quot;: 0, &quot;p2&quot;: 3, &quot;p3&quot;: 1, &quot;p4&quot;: 9,</span></tt>
            </div>
            <div id="l22"
               class="code sev- "><tt><i>22</i> <span class="c1">#            &quot;p5&quot;: 5, &quot;p6&quot;: 2, &quot;p7&quot;: 4, &quot;p8&quot;: 10}</span></tt>
            </div>
            <div id="l23"
               class="code sev- "><tt><i>23</i> &nbsp;</tt>
            </div>
            <div id="l24"
               class="code sev- "><tt><i>24</i> <span class="c1"># list_players = sorted(players.items(), key=lambda t: t[1])</span></tt>
            </div>
            <div id="l25"
               class="code sev- "><tt><i>25</i> <span class="c1"># list_players.reverse()</span></tt>
            </div>
            <div id="l26"
               class="code sev- "><tt><i>26</i> &nbsp;</tt>
            </div>
            <div id="l27"
               class="code sev- "><tt><i>27</i> <span class="c1"># print(list(players.values())[4])</span></tt>
            </div>
            <div id="l28"
               class="code sev- "><tt><i>28</i> &nbsp;</tt>
            </div>
            <div id="l29"
               class="code sev- "><tt><i>29</i> &nbsp;</tt>
            </div>
            <div id="l30"
               class="code sev- "><tt><i>30</i> <span class="c1"># vs_players = list({&quot;p1&quot;: 0, &quot;p2&quot;: 3})</span></tt>
            </div>
            <div id="l31"
               class="code sev- "><tt><i>31</i> <span class="c1"># # print(vs_players)</span></tt>
            </div>
            <div id="l32"
               class="code sev- "><tt><i>32</i> &nbsp;</tt>
            </div>
            <div id="l33"
               class="code sev- "><tt><i>33</i> <span class="c1"># print(list_players)</span></tt>
            </div>
            <div id="l34"
               class="code sev- "><tt><i>34</i> &nbsp;</tt>
            </div>
            <div id="l35"
               class="code sev- "><tt><i>35</i> <span class="c1"># for i in range(0, len(list_players), 2):</span></tt>
            </div>
            <div id="l36"
               class="code sev- "><tt><i>36</i> <span class="c1">#     print(list_players[i][0], list_players[i + 1][0])</span></tt>
            </div>
            <div id="l37"
               class="code sev- "><tt><i>37</i> &nbsp;</tt>
            </div>
            <div id="l38"
               class="code sev- "><tt><i>38</i> &nbsp;</tt>
            </div>
            <div id="l39"
               class="code sev- "><tt><i>39</i> <span class="c1"># match_1 = {&quot;m1&quot;: 1, &quot;m2&quot;: 3}</span></tt>
            </div>
            <div id="l40"
               class="code sev- "><tt><i>40</i> <span class="c1"># match_2 = {&quot;m2&quot;: 4, &quot;m1&quot;: 0}</span></tt>
            </div>
            <div id="l41"
               class="code sev- "><tt><i>41</i> <span class="c1"># rounde_1 = [match_1]</span></tt>
            </div>
            <div id="l42"
               class="code sev- "><tt><i>42</i> <span class="c1"># rounde_2 = [match_2]</span></tt>
            </div>
            <div id="l43"
               class="code sev- "><tt><i>43</i> &nbsp;</tt>
            </div>
            <div id="l44"
               class="code sev- "><tt><i>44</i> <span class="c1"># list_round = [rounde_1, rounde_2]</span></tt>
            </div>
            <div id="l45"
               class="code sev- "><tt><i>45</i> &nbsp;</tt>
            </div>
            <div id="l46"
               class="code sev- "><tt><i>46</i> <span class="c1"># for el in list_round:</span></tt>
            </div>
            <div id="l47"
               class="code sev- "><tt><i>47</i> <span class="c1"># list_players = list(set(list_players) -</span></tt>
            </div>
            <div id="l48"
               class="code sev- "><tt><i>48</i> <span class="c1">#                     {list_players[0], list_players[i]})</span></tt>
            </div>
            <div id="l49"
               class="code sev- "><tt><i>49</i> &nbsp;</tt>
            </div>
            <div id="l50"
               class="code sev- "><tt><i>50</i> <span class="c1"># test_db = TinyDB(&#39;test_db.json&#39;)</span></tt>
            </div>
            <div id="l51"
               class="code sev- "><tt><i>51</i> <span class="c1"># tournois = test_db.table(&#39;tournois&#39;)</span></tt>
            </div>
            <div id="l52"
               class="code sev- "><tt><i>52</i> <span class="c1"># tournois.truncate()</span></tt>
            </div>
            <div id="l53"
               class="code sev- "><tt><i>53</i> <span class="c1"># for i in range(2):</span></tt>
            </div>
            <div id="l54"
               class="code sev- "><tt><i>54</i> <span class="c1">#     name, age, genre = input(&quot;name: &quot;).split()</span></tt>
            </div>
            <div id="l55"
               class="code sev- "><tt><i>55</i> <span class="c1">#     # name2 = input(&quot;name2: &quot;)</span></tt>
            </div>
            <div id="l56"
               class="code sev- "><tt><i>56</i> <span class="c1">#     serial_game = {</span></tt>
            </div>
            <div id="l57"
               class="code sev- "><tt><i>57</i> <span class="c1">#         &quot;p1&quot;: [name, age, genre]</span></tt>
            </div>
            <div id="l58"
               class="code sev- "><tt><i>58</i> <span class="c1">#     }</span></tt>
            </div>
            <div id="l59"
               class="code sev- "><tt><i>59</i> &nbsp;</tt>
            </div>
            <div id="l60"
               class="code sev- "><tt><i>60</i> <span class="c1">#     tournois.insert(serial_game)</span></tt>
            </div>
            <div id="l61"
               class="code sev- "><tt><i>61</i> &nbsp;</tt>
            </div>
            <div id="l62"
               class="code sev- "><tt><i>62</i> <span class="c1"># all_players = tournois.all()</span></tt>
            </div>
            <div id="l63"
               class="code sev- "><tt><i>63</i> <span class="c1"># print(list(all_players[0].values())[0][0])</span></tt>
            </div>
            <div id="l64"
               class="code sev- "><tt><i>64</i> &nbsp;</tt>
            </div>
            <div id="l65"
               class="code sev- "><tt><i>65</i> &nbsp;</tt>
            </div>
            <div id="l66"
               class="code sev- "><tt><i>66</i> <span class="c1"># def main_game():</span></tt>
            </div>
            <div id="l67"
               class="code sev- "><tt><i>67</i> <span class="c1">#     main_message = int(</span></tt>
            </div>
            <div id="l68"
               class="code sev- "><tt><i>68</i> <span class="c1">#         input(&quot;Pour crée un Tournois taper 1 ou pour Quiter le jeu =&gt; &quot;))</span></tt>
            </div>
            <div id="l69"
               class="code sev- "><tt><i>69</i> <span class="c1">#     while (main_message not in [1, 2]):</span></tt>
            </div>
            <div id="l70"
               class="code sev- "><tt><i>70</i> <span class="c1">#         main_message = int(input(&quot;Choisir le bon chiffre 1 ou 2 =&gt; &quot;))</span></tt>
            </div>
            <div id="l71"
               class="code sev- "><tt><i>71</i> <span class="c1">#     if main_message == 1:</span></tt>
            </div>
            <div id="l72"
               class="code sev- "><tt><i>72</i> <span class="c1">#         create_tournament()</span></tt>
            </div>
            <div id="l73"
               class="code sev- "><tt><i>73</i> &nbsp;</tt>
            </div>
            <div id="l74"
               class="code sev- "><tt><i>74</i> &nbsp;</tt>
            </div>
            <div id="l75"
               class="code sev- "><tt><i>75</i> <span class="c1"># chess = TinyDB(&#39;test_db.json&#39;)</span></tt>
            </div>
            <div id="l76"
               class="code sev- "><tt><i>76</i> <span class="c1"># table_tournois = chess.table(&#39;time&#39;)</span></tt>
            </div>
            <div id="l77"
               class="code sev- "><tt><i>77</i> <span class="c1"># table_tournois.truncate()</span></tt>
            </div>
            <div id="l78"
               class="code sev- "><tt><i>78</i> <span class="c1"># daty = {&quot;time&quot;: dumps(datetime.now(), default=str)}</span></tt>
            </div>
            <div id="l79"
               class="code sev- "><tt><i>79</i> <span class="c1"># table_tournois.insert(daty)</span></tt>
            </div>
            
         </div>
      </div>
   </body>
</html>